
<?php
include_once("../php/config.php");
@mysql_query("update inventario set cantidad=0 where cantidad<0") or die(mysql_error());


$sql5810 = mysql_query("select * from login where nombre='".$_COOKIE['usuario']."'") or die(mysqli_error($con));
$estado_caja = @mysql_result($sql5810, 0, "estado_caja");

if($estado_caja=="Cerrada"){
    
header("location: estado_caja.php");
}


$cuentas = mysql_query("select * from enlace_cuentas") or die(mysql_error());
$ventas = @mysql_result($cuentas, 0, "ventas");


$id_venta = $_GET["id_venta"];
$sql58 = mysql_query("select * from ventas where id_venta='$id_venta'") or die(mysqli_error($con));
$vEstado =  @mysql_result($sql58, 0, "estado");
$ncf =  @mysql_result($sql58, 0, "ncf");
$ticket = @mysql_result($sql58, 0, "ticket");
$cliente = @mysql_result($sql58, 0, "cliente");
$descuento = @mysql_result($sql58, 0, "descuento");
$nota = @mysql_result($sql58, 0, "nota");
$param = mysql_query("select * from parametros") or die(mysqli_error($con));

$default_menu = @mysql_result($param, 0, "default_menu_pos");
$facturar_sin_stock = @mysql_result($param, 0, "facturar_sin_stock");
$total = @mysql_result($sql58, 0, "total");

include_once("../header.php");
?>
<style>
  .form-control{
    font-size: 18px;
  }


.col-md-2{
    font-size: 15px;
	@font-weight:bolder;
  }



  .mesa_roja{
    background-color: red;
    color: yellow;
  }
  .mesa_verde{
    background-color: green;
    color: white;
  }

  body{
	  background:#D2D2D2;
  }
</style>
<script>


if(isMobile()){
  var id_venta="<?php echo $id_venta?>";

  ////window.location.href="facturacion2.php?id_venta="+id_venta;
}else{

    ///window.location.href="facturacion.php?id="+id;
}


function isMobile(){
    return (
        (navigator.userAgent.match(/Android/i)) ||
        (navigator.userAgent.match(/webOS/i)) ||
        (navigator.userAgent.match(/iPhone/i)) ||
        (navigator.userAgent.match(/iPod/i)) ||
        (navigator.userAgent.match(/iPad/i)) ||
        (navigator.userAgent.match(/BlackBerry/i))
    );
}

</script>


<style>
.fast-sale{
	float:left;
	margin-top:-30px;

}

.fast-sale img{
	height:90x;
	width:100px


}

.pay{
	float:left;
	margin-top:40px;
	margin-left:8px;

}

.pay img{
	height:90x;
	width:100px



}

@th{
	font-size:20px;
	font-weight:bolder;
	background:gray;
}

td{
	font-size:13px;

}

@table a{
@text-decoration: none;
}
</style>
<style>
  th{
    @background: #18749B;
    @color:white;
  }

</style>





<style>
  .transparent {
    background-color: transparent !important;
    box-shadow: inset 0px 1px 0 rgba(0, 0, 0, .075);
  }

  .left-border-none {
    border-left: none !important;
    box-shadow: inset 0px 1px 0 rgba(0, 0, 0, .075);
  }

</style>

<div class="container">
     <input type="hidden" value="<?php echo $hoy?>" id="curFecha">

    
    
<?php if($_COOKIE["nivel"]=="Master"){?>
<!--Detalle vendedor-->
       <div class="panel-default panel">
            <div class="panel-heading"> <center><b class="text-info">Datos administrador</b></center></div>
                <div class="panel-body">
					<div class="row">
					  <div class="col-md-1 mt-2">
							<b>Asignar a</a>
					  </div>
					    <input type="hidden" id="txt-balance-cliente">
		  <input type="hidden" id="txt-max_credito-cliente">
					  <div class="col-md-5">
							<select  class="form-control" id="vendedor">
							        <option value="" selected>Seleccione un vendedor</option>
								<?php
									$vendedores= mysql_query("select * from login where nivel='Vendedor' order by nombre asc") or die(mysql_error());

									while ($r12 = mysql_fetch_array($vendedores)) { ?>
                                    <option value="<?php echo $r12['nombre'] ?>"><?php echo $r12['nombre'] ?></option>
                                <?php } ?>
							</select>
					  </div>

</div>
				</div>
         </div>
<!--//Detalle vendedor-->
<?php }?>

























  <div class="panel panel-default">
  <div class="panel-heading">
   <?php if($vEstado!="Cerrada"){?>
  <div class="row">
  <div class="col-md-2">
    <i class="bi bi-calendar2-week"></i> <?php echo fecha($hoy) ?>
	 <br>
	<a href="javascript:void(0)" onclick="cuenta()"><i class='bi bi-printer'></i> Imprimir cuenta</a>
	</div>
	 <div class="col-md-2">
	<input class="form-control mb-2" type="text" id="txt-ticket" placeholder="[F7] Ticket.." value="<?php echo $ticket?>" autocomplete="off">

	</div>
	<?php if($default_menu!="menu_drink"){?>
	<div class="col-md-2">
	<select  class="form-control text-primary mb-2"  onChange="$('#txt-ticket').val(this.value); posponer();" id="mesas">
	<option value='' selected></option>


	<option value='COTIZACION'>COTIZACION:</option>



	</select>
	</div>
	<div class="col-md-6">
	<?php }?>
	<a class="btn btn-rojo mb-2 cajero" href="_nueva_venta.php"><i class="bi bi-database-add"></i> Nueva venta</a>
			<button class="btn btn-rojo2 vendedor mb-2" onclick="window.location.href='resultados.php'"><i class="bi bi-cash-stack"></i> Cuadrar caja</button>
      <button class="btn btn-rojo2  btn-md  mb-2" onclick="modalClientes()"> <i class="bi bi-person-lines-fill"> </i> Clientes</button>
      <button class="btn btn-rojo2  btn-md cajero mb-2" onclick="cotizar()"> <i class="bi bi-ui-checks"> </i> Cotizacion</button>

</div>
</div>
</div>
<div class="panel-body">
	<!--button onClick="window.location.href='ventas_abiertas.php'" style="height:45px; margin-top:20px; border:1px solid green;font-size:20px; font-weight:bolder;"><i class="fa fa-clock fa-lg"></i> En espera</button-->


	<a id="lbLista" href="javascript:void(0)" onclick="$('#modalPendiente').modal('show'); $('#txt-buscar3').focus(); lista_pendiente('')"></i> <span style="display:none" class='badge badge-success' id='lbEspera'>0</span> <b><i class="bi bi-card-checklist"></i> Lista En espera</b></a> |
	<a id="lbPosponer" href="javascript:void(0)" onClick="posponer()"><b><i class='bi bi-clock-history'></i> Poner en espera </b></a><br>
<a class="text-rojo" href="javascript:void(0)" onClick="modalClientes()"><b><i class='bi bi-person-lines-fill'></i><span  id="lb-cliente"> Cliente generico</span></b></a>
   <?php }?>

	<small id="msj0" class="text-danger"></small>
    <div style="float: right; padding-bottom:8px;">


        <select class="form-control input-sm" id="ncf" onchange="get_ncf()" style="width:200px; font-size:14px;">

          <option value="">SIN VALOR FISCAL</option>
          <?php $sql2 = mysql_query("select * from ncf order by prefijo desc") ?>

          <?php while ($r = mysql_fetch_array($sql2)) { ?>
            <option value="<?php echo $r['prefijo'] ?>"><?php echo $r['tipo'] ?><?php echo $r['nombre'] ?></option>
          <?php } ?>
        </select>
		<br>
  <br>
    </div>
	<br><br>


    <span class="text-success h2" style="display:none;">Secuencia:<?php echo $_GET["id_venta"]?></span>



    <input type="hidden" class="form-control mt-2 bold" id="txt-folio">
	<input type="hidden" class="form-control mt-2 bold" id="txt-monto2">

	<input type="hidden" class="form-control mt-2 bold" id="txt-monto3">
     <input type="hidden" class="form-control mt-2 bold" id="items2">

     <input type="hidden" class="form-control mt-2 bold mb-2" id="id_venta" value="<?php echo $_GET['id_venta']?>">



          <input type="hidden" id="txt-impuestos">

          <div style="display:none">

          </div>

		  <div style="background:black; height:80px; width:250px; padding:10px">
		   <center>
		    <small style="color:yellow;">TOTAL DE LA VENTA</small><br>
			<span id="lb-total" style="color:yellow; font-size:35px; text-align:center">0.00</span>
			</center>
		  </div>


	

<?php if($vEstado!="Cerrada"){?>
      <div class="row">




          <div class="col-xs-6 col-md-3 cajero">

              <input id="txt-buscar"  class="form-control input-sm" placeholder="Codigo de barras" type="text"  >
			  	<div onClick="hide_lista_productos()" class="table-responsive" style="z-index: 2; position:absolute;  display:none; color:black; border:1px solid gray; padding:8px; margin-top:50x; overflow-y:scroll; max-height:500px; font-size: 12px; background:white" id="lista_productos_">

				</div>


	</div>
			<div class="col-xs-6 cajero mt-2">

			 <a href="#"  class="text-rojo" style="font-size:25px" onClick="modalProductos()"><i class="bi bi-boxes"></i> Lista de productos</a>

			</div>

          </div>

		  <?php }?>

<script>

	 modalProductos();

  function eventoCant(event,id,val){
	var estado = "<?php echo $vEstado?>";

    if(event.keyCode=="13"){
      setCant(id, val)

      $("#"+id).focus();
      $("#"+id).select();
    }

  }


 $("#lista_productos_").hide();
  function hide_lista_productos(){
	  $("#lista_productos_").hide();
  }			 ////LISTA PRODUCTOR///
  function lista_productos_(v) {

    try {
      var sql = "select * from productos where descripcion like '%" + v + "%'  and descripcion!='*descuento*' or codigo='" + v + "' and descripcion!='*descuento*' order by descripcion asc limit 100";
      _enviar("../php/traer_datos.php", {
          "sql": sql
        })
        .done(function(data) {
          if (data == "null") {
            $("#lista_productos_").hide();
           // return;
          }
		   $("#lista_productos_").show();
          var rs = JSON.parse(data);
          var tabla="<table  class='table table-striped'><th></th>";

          var id_;
          for (var i in rs.data) {
			 tabla+="<tr>";
            id_ = rs.data[i].id_producto

            tabla += "<td><b><a href='javascript:void(0)' class=''  onclick='get_lista(" + id_ + ")'></b>" + rs.data[i].descripcion.substring(0, 35) + "</a></td>";
              tabla+="</tr>";


          }

          tabla += "</table>";
          $("#lista_productos_").html(""+tabla+"<br>");
		  if(v==""){$("#lista_productos_").hide();}
          $("td").addClass("font-weight-light");

        })
    } catch (e) {
      alert(e.message)
    }
	if(v==""){$("#lista_productos_").hide();}
  }
  </script>

		 <div class="row">
          <div class="col-md-12">
            <button class="btn btn-secondary" href="#" class="cajero mb-2" onclick="modalNota()"> <i class="bi bi-person-badge"></i> Informacion | Cliente</button>


               <!--a href="#" class="cajero mb-2" onclick="window.location.href='ventas_abiertas.php'"> <i class="fa fa-undo fa-lg"> </i> ATRAS</a> |<-->
       <?php if($vEstado!="Cerrada"){?>
                <button class="btn btn-secondary" href="#" class="text-danger cajero mb-2" onclick="cancelar()"> <i class="bi bi-trash3"> </i> Cancelar</button>
                <?php if($_COOKIE['nivel']!="Vendedor" and $_GET["pedido"]!="1"){?>
                <button class="btn btn-secondary"  class="text-danger cajero mb-2" onclick="openNuevoProducto()"> <i class="bi bi-clipboard-check"> </i>Crear producto</button>
                
                <button class="btn btn-secondary"  class="text-danger cajero mb-2" onclick="openDetallar()"> <i class="bi bi-clipboard-check"> </i>Detallar un producto</button>


<a class="btn btn-orange" id="btn_descuento" href="#" class="text-primary vendedor mb-2" onclick="modalDescuento()"> <i class="bi bi-database-check"> </i>Descuento</a>



            <a class="btn btn-verde" id="btn_grabar" href="#" class="text-primary vendedor mb-2" onclick="grabar()"> <i class="bi bi-database-check"> </i>Grabar venta</a>
         <?php }?>
		  <?php if($_GET["pedido"]=="1"){?>
		              <a class="btn btn-primary" id="btn_grabar" href="#" class="text-primary vendedor mb-2" onclick="grabar()"> <i class="bi bi-save"> </i> Grabar pedido</a>
		  <?php }}?>

		 </div>
</div>
<br>

        <script>
          function modalNota() {
            $("#modalNota").modal("show");

            $("#txt-nota").focus().select();
          }

          function modalClientes() {
            $("#modalClientes").modal("show");
            $("#txt-buscar30").focus().select();
          }

		      function openNuevoProducto() {
					    window.open('../productos/productos2.php?from_pos=1','_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=500,height=850');

          }
          
               function openDetallar() {
					    window.open('../productos/lista_detallar.php?from_pos=1','_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=500,height=500');

          }


        </script>
        <input type="hidden" name="" id="txt-costo">



	  <div class="default-menu" style="display:none" id="menu_drink">
      	   <div class="fast-sale"><a href="#" onClick="$('#txt-buscar2').val('presidente'); modalProductos(); "><img class="img-thumbnail" src="../img/presidente-light-normal.jpg" alt="Rounded Image"><br><center><b>Cerveza <br>presidente</b></center></a></div>
      	   <div class="fast-sale"><a href="#" onClick="$('#txt-buscar2').val('modelo'); modalProductos(); "><img class="img-thumbnail" src="../img/modelo.jpg" alt="Rounded Image" ><br><center><b>Cerveza <br>modelo</b></center></a></div>
      		<div class="fast-sale"><a href="#" onClick="$('#txt-buscar2').val('corona'); modalProductos(); "><img class="img-thumbnail" src="../img/corona.jpg" alt="Rounded Image" ><br><center><b>Cerveza <br>Corona</b></center></a></div>
      	<div class="fast-sale"><a href="#" onClick="$('#txt-buscar2').val('cerveza'); modalProductos(); "><img class="img-thumbnail" src="../img/cervezas.jpg" alt="Rounded Image" ><br><center><b>Cerveza <br>en Gral.</b></center></a></div>

      	   <div class="fast-sale"><a href="#" onClick="$('#txt-buscar2').val('wis'); modalProductos(); "><img class="img-thumbnail" src="../img/whisky.jpg" alt="Rounded Image" ><br><center><b>Wisky</b></center></a></div>
</div>


<div class="default-menu" style="display:none" id="menu_repuesto">
           <div class="fast-sale"><a href="#" onClick="$('#txt-buscar2').val('tornillo'); modalProductos(); "><img class="img-thumbnail" src="../img/tornillo.jpg" alt="Rounded Image"><br><center><b>Tornillos</b></center></a></div>
           <div class="fast-sale"><a href="#" onClick="$('#txt-buscar2').val('llave'); modalProductos(); "><img class="img-thumbnail" src="../img/llave.jpg" alt="Rounded Image" ><br><center><b>Llaves</b></center></a></div>
          <div class="fast-sale"><a href="#" onClick="$('#txt-buscar2').val('goma'); modalProductos(); "><img class="img-thumbnail" src="../img/goma.jpg" alt="Rounded Image" ><br><center><b>Gomas</b></center></a></div>
        <div class="fast-sale"><a href="#" onClick="$('#txt-buscar2').val('mofle'); modalProductos(); "><img class="img-thumbnail" src="../img/mofler.jpg" alt="Rounded Image" ><br><center><b>Mofler</center></a></div>

           <div class="fast-sale"><a href="#" onClick="$('#txt-buscar2').val('tubo'); modalProductos(); "><img class="img-thumbnail" src="../img/tubo.jpg" alt="Rounded Image" ><br><center><b>Tubos</b></center></a></div>
</div>



<script>
  var default_menu = "<?php echo $default_menu?>";

$("#"+default_menu).show();
</script>


	<div id="lista" class="table-responsive">
      </div>
	  <br>
	  <span class="text-primary" id="items"><b>Items: 0</b></span>
</div>


   </div>
      </div>

 <?php
 if($default_menu=="menu_drink"){


	  echo "<a href='#' id='VIP' onClick=enlace(this.id)><div class='VIP' style='border:solid red 1px; margin-top:8px; border-radius:45px 45px 45px; width:70px; height:60px; text-align:center; font-size:25; padding:10px; float:left; margin-left:8px;'>VIP</div></a>";

  for($x=1; $x<=4; $x++){
	  echo "<a href='#' id='MUEBLE-$x' onClick=enlace(this.id)><div class='MUEBLE-$x' style='border:solid blue 1px; margin-top:8px; border-radius:45px 45px 45px; height:60px; text-align:center; font-size:25; padding:10px; float:left; margin-left:8px;'>Mueble-".$x."</div></a>";
  }
  for($i=1; $i<=24; $i++){
	  echo "<a href='#' id='Mesa-$i' onClick=enlace(this.id)><div  class='Mesa-$i' style='border:solid green 1px; margin-top:8px; border-radius:45px 45px 45px; width:70px; height:60px; text-align:center; font-size:25; padding:10px; float:left; margin-left:8px;'>".$i."</div></a>";
  }
 }
 ?>
 <script>
 function enlace(v){
	 var id_venta = "<?php echo $id_venta?>";
	 window.location.href="enlace_mesa.php?mesa="+v+"&id_venta="+id_venta+"&lnMesa=1";
 }

 var lnMesa = "<?php echo $_GET['lnMesa']?>";
if(lnMesa=="1"){
  $("#txt-ticket").prop("readonly", true);
}
 </script>

</div>




<!---Modal productos-->
<div class="modal" id="modalProductos" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-rojo" style="font-size:30px" id="exampleModalLabel"><i class="bi bi-boxes"></i> Productos</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="row">
          <div class="col-md-4">
             <div class="table-responsive border p-2" id="lista-categorias" style="max-height: 350px; overflow-y: scroll;">

        </div>

          </div>

          <div class="col-md-8">
               <input class="form-control mb-2 bolder" placeholder="Buscar producto..." type="search" id="txt-buscar2" onKeyUp="lista_productos(this.value)">
        <div class="table-responsive border p-2" id="lista-productos" style="max-height: 350px; overflow-y: scroll;">

        </div>
          </div>



        </div>

      </div>
      <div class="modal-footer">
        <a class="btn btn-default" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
      </div>
    </div>
  </div>
</div>


<!---Modal clientes-->
<div class="modal" id="modalClientes" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-md" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-users"></i> Clientes</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <input class="form-control mb-2 bolder" placeholder="Buscar producto..." type="search" id="txt-buscar30" onkeyup="lista_clientes(this.value)">
        <div class="table-responsive border p-2" id="lista-clientes" style="max-height: 350px; overflow-y: scroll;">

        </div>
      </div>
      <div class="modal-footer">
       <a class="btn btn-danger" href="#" onClick="crear_cliente()"> <i class="fa fa-w fa-edit"></i> Crear o Modificar un cliente</a>
        <a class="btn btn-default" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> SALIR</a>
      </div>
    </div>
  </div>
</div>

<script>
  function crear_cliente(){
    window.open('../clientes/clientes.php','_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=400,height=850');

  }
</script>

<!---Modal pendiente-->
<div class="modal" id="modalPendiente" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-md" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-success h3" id="exampleModalLabel"><i class="bi bi-clock-history"></i> Ventas en espera</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <input class="form-control mb-2 bolder" placeholder="Buscar producto..." type="search" id="txt-buscar3" onkeyup="lista_pendiente(this.value)">

		<div class="table-responsive border p-2" id="lista-pendiente" style="max-height: 350px; overflow-y: scroll;">

        </div>
      </div>
      <div class="modal-footer">
        <a class="btn btn-default" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
      </div>
    </div>
  </div>
</div>


<!---Modal detalle-->
<div class="modal" id="modalDetalle" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-sm" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> Cantidad / Precio</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
       <div class="row">
           <div class="col-md-5">
            <label>Cantidad</label>
            <input class="form-control mb-2 bold text-primary" type="number" id="txt-cantidad" onKeyUp="$('#txt-granel').val('')">
            </div>
            
            <div class="col-md-5">
            <label>Granel</label>
            <input class="form-control mb-2 bold text-primary" type="number" id="txt-granel" onKeyUp="granel()">
            </div>
        </div>
	 <label>Precios</label>
	 <div class="row">
	 <div class="col-md-6">
		        <input class="form-control mb-2 bold text-success" type="number" id="txt-precio1" readonly onClick="$('#txt-precio').val(this.value)">

		</div>

		<div class="col-md-6">
		        <input class="form-control mb-2 bold text-success" type="number" id="txt-precio2" readonly onClick="$('#txt-precio').val(this.value)">

		</div>

		</div>



    	 <div class="row">
	 <div class="col-md-6">
		        <input class="form-control mb-2  text-success" type="number" id="txt-precio3" readonly onClick="$('#txt-precio').val(this.value)">

		</div>

		<div class="col-md-6">
		        <input class="form-control mb-2  text-success" type="number" id="txt-precio4" readonly onClick="$('#txt-precio').val(this.value)">

		</div>

		</div>

	<div class="row">

		<div class="col-md-9">
		        <input class="form-control mb-2 bold text-success" type="number" id="txt-precio" onClick="" disabled>

		</div>
				<div class="col-md-3 mt-2">
				 <a href="javascript:void(0)" class="text-info" onClick="auth_user()"> <i class="fa fa-w fa-edit fa-lg"></i></a>

				</div>

	</div>

		<div class="row hi">

		<div class="col-md-12">
			   <b class="mt-2">Descripcion del articulo</b>
		       <textArea id="descripcion_detalle" class="form-control">

			   </textArea>
		</div>


		</div>

		<div class="row">

		<div class="col-md-12">
			   <b class="mt-2">Referencia / IMEI</b>
		       <div id="imei">

			   </div>
		</div>


		</div>


		<div class="row hi">

		<div class="col-md-5">
			   <b class="mt-2">Costo</b>
		       <input type="text" class="form-control" placeholder="0.00" id="costo_detalle" name="costo_detalle">

		</div>

		<div class="col-md-7">
			   <b class="mt-2">Precio al cliente</b>
		       <input type="text" class="form-control" placeholder="0.00" id="precio_detalle" name="precio_detalle" onKeyUp="$('#txt-precio').val(this.value); granel()">

		</div>



	</div>




      </div>
      <div class="modal-footer">
        <a href="javascript:void(0)" class="btn btn-default" onClick="update_detalle(); $('#txt-precio').prop('disabled', true)" data-dismiss="modal"> <i class="fa fa-w fa-check"></i> Aceptar</a>
        <a href="javascript:void(0)" class="btn btn-default" onClick="borrar()" data-dismiss="modal"> <i class="fa fa-w fa-check"></i> Borrar</a>
        <a href="javascript:void(0)" class="btn btn-success" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
      </div>
    </div>
  </div>
</div>




<!---Modal nota-->
<div class="modal" id="modalNota" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-sm" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> Nota</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <label class="text-success">Agregar nota(Nombre del cliente, telefono o direccion)</label>
        <textarea id="txt-nota" class="form-control">
<?php echo $nota;?>
              </textarea>



      </div>
      <div class="modal-footer">
        <a href="javascript:void(0)" class="btn btn-default" onClick="update_nota()" data-dismiss="modal"> <i class="fa fa-w fa-check"></i> Aceptar</a>

      </div>
    </div>
  </div>
</div>



<!---Modal descuento-->
<div class="modal" id="modalDescuento" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-sm" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-success h3" id="exampleModalLabel"><i class="bi bi-cash-coin"></i> Descuento</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <label class="text-success">% Descuento</label>
        <select  class="form-control" id="descuento" onChange="calcDescuento()">
          
            <option value="10">10%</option>
             <option value="5">5%</option>
               <option value="0">Sin descuento</option>
        </select>

	    <label class="text-success">Valor descuento</label>
        <input type="number"  class="form-control" id="descontado" placeholder="Monto a descontar RD$ 0.00" readonly>


      </div>
      <div class="modal-footer">
        <a href="javascript:void(0)" class="btn btn-default" onClick="descuento()" data-dismiss="modal"> <i class="fa fa-w fa-check"></i> Aceptar</a>

      </div>
    </div>
  </div>
</div>





<!---Modal productosAgotados-->
<div class="modal" id="modalStockAgotado" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-sm" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> AVISO</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <label class="text-success">Los siguientes productos estan agotados</label>
        <div class="bg-success" id="msgModal">

		</div>
      </div>
      <div class="modal-footer">
        <a href="javascript:void(0)" class="btn btn-success" onClick="update_nota" data-dismiss="modal"> <i class="fa fa-w fa-check"></i> Aceptar</a>
		<a href="javascript:void(0)" class="btn btn-default" onClick="update_resp_check()" data-dismiss="modal"> <i class="fa fa-w fa-check"></i> No avisarme mas</a>

      </div>
    </div>
  </div>
</div>





<!---Modal grabar-->
<div class="modal" id="modalGrabar" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-md" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
		<br>
		   <div style="background:black; height:80; width:100%; padding:10px">
		   <center>
		    <small style="color:yellow;">TOTAL DE LA VENTA</small><br>
			<span id="lb-total002" style="color:#00ffb6; font-size:35px; text-align:center">0.00</span>
			</center>
		  </div>
		 <br>

		<div class="pay text-success"><a href="#" onClick="$('#termino').val('Efectivo'); $('#txt-pagado').prop('disabled', false);"><img class="img-thumbnail" src="../img/Cash-256.png" alt="Rounded Image"><br><center><b>Efectivo</b></center></a></div>
		<div class="pay text-success"><a href="#" onClick="$('#termino').val('Tarjeta');$('#termino').change(); $('#txt-pagado').prop('disabled', false);"><img class="img-thumbnail" src="../img/creditcard.png" alt="Rounded Image"><br><center><b>Tarjeta</b></center></a></div>
		<div class="pay text-success"><a href="#" onClick="$('#termino').val('Cheque'); $('#termino').change(); $('#txt-pagado').prop('disabled', false);"><img class="img-thumbnail" src="../img/Invoice-128.png" alt="Rounded Image"><br><center><b>Cheque</b></center></a></div>
		<div class="pay text-success"><a href="#" class='text-danger' onClick="$('#termino').val('Credito'); $('#txt-balance').val($('#txt-monto').val()); $('#txt-pagado').prop('disabled', true); $('#txt-pagado').val(''); $('#txt-devuelta').val('')"><img class="img-thumbnail" src="../img/Invoice-128.png" alt="Rounded Image"><br><center><b>Credito</b></center></a></div>

      </div>
      <div class="modal-body btn-grabar">

        <div class="row">
          <div class="col-md-3">
            <b class="text-primary">Termino</b>
          </div>
          <div class="col-md-9">

		

            <select class="form-control  mb-2 btn-grabar" id="termino" style="font-size:14px">

              <option value="Efectivo">Efectivo</option>
              <option value="Credito">Credito</option>
              <option value="Transferencia">Transferencia</option>
              <option value="Tarjeta">Tarjeta</option>
              <option value="Cheque">Cheque</option>


            </select>
          </div>
        </div>




        <div class="row">
          <div class="col-md-3">
            <b>Cliente</b>
          </div>
          <div class="col-md-9">
		  <div id="dvclientes">

		</div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-3">
            <b>Monto factura</b>
          </div>
          <div class="col-md-9">
            <input type="number" id="txt-monto" placeholder="0.00" class="form-control bold text-success " disabled>
          </div>
        </div>
        <hr>
        <div class="row">
          <div class="col-md-3">
            <b class="text-primary">PAGADO</b>
          </div>
          <div class="col-md-9">
            <input type="number" id="txt-pagado" onKeyPress="uniKeyCode(event)" placeholder="0.00" class="form-control bold text-danger btn-grabar" onKeyUp="devuelta()">
          </div>
        </div>

        <br>
        <div class="row">
          <div class="col-md-3">
            <b>DEVUELTA</b>
          </div>
          <div class="col-md-9">
            <input type="number" id="txt-devuelta" placeholder="0.00" class="form-control bold text-primary" disabled>
          </div>
        </div>

		  <div class="row mt-2">
          <div class="col-md-3">
            <b class="text-primary h2">Balance</b>
          </div>
          <div class="col-md-3">
            <input type="number" id="txt-balance" placeholder="0.00" class="form-control bold text-primary" disabled>
          </div>
        </div>

		 <div class="row mt-2">
          <div class="col-md-3">
            <b class="text-danger">Vence</b>
          </div>
          <div class="col-md-4">
            <input type="Date" id="txt-vence" placeholder="0.00" class="form-control bold text-primary">
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button id="btn-grabar" class="btn  btn-verde" onclick="sec_grabar_venta()"><i class="bi bi-download"></i> Grabar</button>

        <a href="javascript:void(0)" class="btn btn-default" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
      </div>
    </div>
  </div>
</div>


<?php
include("../footer.php");
?>
<script type="text/javascript" src="espera.js"></script>
<!--script type="text/javascript"  espera_a_carrito.js"></script-->
<script type="text/javascript" src="balance_cliente.js"></script>

<script type="text/javascript">



var total = "<?php echo $total?>";
var descontado = "<?php echo $descuento?>";
 localStorage.setItem('descontado', descontado);
if(total<=0){
    localStorage.setItem('descuento', 0);
    localStorage.setItem('descontado', 0);
}

function granel(){
    var gran = $("#txt-granel").val();
    var precio = $("#precio_detalle").val();
    var dt = gran / precio;
    $("#txt-cantidad").val(dt.toFixed(2))
}
 function imei(imCod) {
    try {
      $.get("combos.php?accion=imei&codigo="+imCod, function(data, st) {
        if (st == "success") {
          $("#imei").html(data);
		  ///$("#imeis").select2();



        }
      });
    } catch (e) {
      alert(e.message)
    }
  }

  var secuencia = "";
  $("#txt-monto").val("")
     $("#mesas").val("")
   _secuencia()
  //folio();

  $(function(){
      lista($("#id_venta").val())

  })




  function preventBack() { 
            window.history.forward();  
        } 
          
        setTimeout("preventBack()", 0); 
          
        window.onunload = function () { null }; 





function posponer(){
	var mt = $("#txt-monto").val()
	var tk=$("#txt-ticket").val()
	if(mt<=0 || mt==""){alert("VENTA EN 0.00"); return;}
	if(tk==""){alert("FALTA EL NOMBRE DE TICKET"); return;}
   $("#msj0").html("Grabando nombre de ticket porfavor espere");
   ////$("#txt-ticket").prop("disabled", true);
   $("#lbPosponer").hide();
   var sql = "update ventas set ticket='" + $("#txt-ticket").val() + "', estado='Espera' where id_venta='" + $("#id_venta").val() + "' and estado!='Cerrada'";

    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
        if (data == "1") {
         console.log("Registro grabado, Ticket: "+$("#txt-ticket").val())
		$("#msj0").html("Nombre de ticket registrado!");
		$("#lbPosponer").show();
		$("#txt-ticket").prop("disabled", false);
    setTimeout(function(){
      window.location.href="_nueva_venta.php";
    },1000)
        } else {
          alert(data)
        }
      })
}
function get_precios(co) {
    var sql = "select * from productos where codigo='" + co + "'"
    _enviar("../php/traer_datos.php", {
        "sql": sql
      })
      .done(function(data) {
        var rs = JSON.parse(data);

        for (var i in rs.data) {
          $("#txt-precio1").val(rs.data[i].precio);
		   $("#txt-precio2").val(rs.data[i].precio2);
		  $("#txt-precio3").val(rs.data[i].precio3);
		  $("#txt-precio4").val(rs.data[i].precio4);

        }

      })
  }
  var ntj="";
  var nch="";
  var monto_tarjeta = 0;
  var monto_cheque = 0;
  var efectivo ="";
  function lista(folio) {
    try {
      $.get("carrito.php?folio=" +$("#id_venta").val(), function(data, st) {
        if (st == "success") {
          $("#lista").html(data);
          suma()

        }
      });
    } catch (e) {
      alert(e.message)
    }
  }


   $("#termino").change(function() {
    var termino = $("#termino").val()
    if (termino == "Credito" || termino == "Transferencia" ||  termino == "Cheque" || termino == "Tarjeta") {

      $("#txt-pagado").val("");
      ////$("#txt-pagado").prop("disabled", true);
      $("#txt-devuelta").val("");
      $("#txt-devuelta").prop("disabled", true);

      if(termino=="Cheque"){
        $("#txt-pagado").val( $("#txt-monto").val());
        nch = prompt("# Cheque, Referencia");
     $("#txt-balance").val("")
      }


      if(termino=="Tarjeta"){
        $("#txt-pagado").val( $("#txt-monto").val());
          ntj = prompt("|| # Tarjeta ||: , Referencia");
       $("#txt-balance").val("")

      }



	if(termino=="Credito"){
        $("#txt-pagado").val("0");
        $("#txt-pagado").prop("disabled", true);
       $("#txt-balance").val( $("#txt-monto").val())

      }

   if(termino=="Transferencia"){
        $("#txt-pagado").val( $("#txt-monto").val());
          /////ntj = prompt("Banco");
       $("#txt-balance").val("")

      }

    } else {
      $("#txt-pagado").val("");
      $("#txt-pagado").prop("disabled", false);
      $("#txt-devuelta").val("");


      if(termino=="Tarjeta"){
          ntj = prompt("|| # Tarjeta ||: , Referencia");
       $("#txt-balance").val("")

      }


    }

  })


  ////LISTA PRODUCTOS///
  function lista_productos(v) {
    try {
		///$("#loading").modal('show')
		 $("#lista-productos").html("<font color='red'>Espere, estamos buscando el articulo solicitado...</font>");
      var sql = "select * from productos where descripcion like '%" + v + "%' and descripcion!='*descuento*' or  codigo like '%" + v + "%' and descripcion!='*descuento*' order by descripcion asc limit 100"
      _enviar("../php/traer_datos.php", {
          "sql": sql
        })
        .done(function(data) {
          if (data == "null") {
            $("#lista-productos").html("No hay datos para mostrar");
            return;
          }
          var rs = JSON.parse(data);
          var tabla = "<table  class='table table-hover table-striped' ><th>CODIGO</th><th>PRODUCTO</th><th>PRECIO</th><th>STOCK</th><tbody>";
          var id_;
          for (var i in rs.data) {
            id_ = rs.data[i].id_producto
            tabla += "<tr>";
		tabla += "<td><a href='javascript:void(0)' onclick='get_lista(" + id_ + ")'>"+ rs.data[i].codigo + "</a></td>";
		if(rs.data[i].stock<=0){
            tabla += "<td><a style='color:red' href='javascript:void(0)' onclick='get_lista(" + id_ + ")'><span class='' ><i class='bi bi-stickies'></i>" + rs.data[i].descripcion + "</a></td>";
            }else{
			tabla += "<td><a href='javascript:void(0)' onclick='get_lista(" + id_ + ")'><span class='text-dark'><i class='bi bi-stickies'></i>" + rs.data[i].descripcion+ "</a></td>";

			}
            tabla += "<td>" + rs.data[i].precio + "</td>";
			tabla += "<td>" + rs.data[i].stock + "</td>";
            tabla += "</tr>";

          }
          tabla += "</tbody></table>";
          $("#lista-productos").html(tabla);
          $("td").addClass("font-weight-light");

        })
		$("#loading").modal('hide')
		$("#txt-buscar2").focus()
    } catch (e) {
      alert(e.message)
    }
  }
  
  
  ////lista por categoria
    ////LISTA PRODUCTOS///
  function lista_productos_variedad(v) {
    try {
		///$("#loading").modal('show')
		 $("#lista-productos").html("<font color='red'>Espere, estamos buscando el articulo solicitado...</font>");
      var sql = "select * from productos where variedad = '" + v + "' order by descripcion asc limit 200"
      _enviar("../php/traer_datos.php", {
          "sql": sql
        })
        .done(function(data) {
          if (data == "null") {
            $("#lista-productos").html("No hay datos para mostrar");
            return;
          }
          var rs = JSON.parse(data);
          var tabla = "<table  class='table table-hover table-striped' ><th>CODIGO</th><th>PRODUCTO</th><th>PRECIO</th><th>STOCK</th><tbody>";
          var id_;
          for (var i in rs.data) {
            id_ = rs.data[i].id_producto
            tabla += "<tr>";
		tabla += "<td><a href='javascript:void(0)' onclick='get_lista(" + id_ + ")'>"+ rs.data[i].codigo + "</a></td>";
		if(rs.data[i].stock<=0){
            tabla += "<td><a style='color:red' href='javascript:void(0)' onclick='get_lista(" + id_ + ")'><span class='' ><i class='bi bi-stickies'></i>" + rs.data[i].descripcion + "</a></td>";
            }else{
			tabla += "<td><a href='javascript:void(0)' onclick='get_lista(" + id_ + ")'><span class='text-dark'><i class='bi bi-stickies'></i>" + rs.data[i].descripcion+ "</a></td>";

			}
            tabla += "<td>" + rs.data[i].precio + "</td>";
			tabla += "<td>" + rs.data[i].stock + "</td>";
            tabla += "</tr>";

          }
          tabla += "</tbody></table>";
          $("#lista-productos").html(tabla);
          $("td").addClass("font-weight-light");

        })
		$("#loading").modal('hide')
		$("#txt-buscar2").focus()
    } catch (e) {
      alert(e.message)
    }
  }




lista_categorias();
   function lista_categorias() {
    try {
    ///$("#loading").modal('show')
     $("#lista-categorias").html("<font color='red'>Espere, estamos buscando el articulo solicitado...</font>");
      var sql = "select * from variedad_productos"
      _enviar("../php/traer_datos.php", {
          "sql": sql
        })
        .done(function(data) {
          if (data == "null") {
            $("#lista-categorias").html("Sin categorias");
            return;
          }
          var rs = JSON.parse(data);
          var tabla = "<table  class='table table-hover table-striped' ><th>CATEGORIAS</th><tbody>";
          var cat;
          for (var i in rs.data) {
            cat = rs.data[i].variedad
            tabla += "<tr>";
     if(rs.data[i].foto!=""){
      tabla += "<td><a href='javascript:void(0)' id='"+cat+"' onclick='lista_productos_variedad(this.id)'><img width='45' height='45' src='../img/folder.png'>" +" "+ rs.data[i].variedad + "</a></td>";
    }else{
        tabla += "<td><a href='javascript:void(0)' id='"+cat+"' onclick='lista_productos_variedad(this.id)'><img width='45' height='45'  src='../img/folder.png'>" +" "+ rs.data[i].variedad + "</a></td>";
    }

            tabla += "</tr>";

          }
          tabla += "</tbody></table>";
          $("#lista-categorias").html(tabla);
          $("td").addClass("font-weight-light");

        })
    $("#loading").modal('hide')
    $("#txt-buscar2").focus()
    } catch (e) {
      alert(e.message)
    }
  }


 ////LISTA CLIENTES///
 function lista_clientes(v) {
    try {
      var sql = "select * from clientes where nombre like '%" + v + "%' or cedula like '%" + v + "%'";
      _enviar("../php/traer_datos.php", {
          "sql": sql
        })

        .done(function(data) {
          if (data == "null") {
            $("#lista-clientes").html("No hay datos para mostrar");
            return;
          }
          var rs = JSON.parse(data);
          var tabla = "<table  class='table table-hover table-striped' ><th>CODIGO</th><th>NOMBRE</th><th>RNC</th><tbody>";
          var id_;
          for (var i in rs.data) {
            id_ = rs.data[i].id_cliente
            tabla += "<tr>";

			tabla += "<td width='90'><a href='javascript:void(0)' id='"+rs.data[i].nombre+"' onclick='get_lista_cliente(this.id)'>" + rs.data[i].id_cliente + "</a></td>";

            tabla += "<td width='250'><a id='"+rs.data[i].nombre+"' href='javascript:void(0)' onclick='get_lista_cliente(this.id)'>" + rs.data[i].nombre + "</a></td>";
            tabla += "<td>" + rs.data[i].cedula + "</td>";

            tabla += "</tr>";

          }
          tabla += "</tbody></table>";
          $("#lista-clientes").html(tabla);
          $("td").addClass("font-weight-light");

        })
    } catch (e) {
      alert(e.message)
    }
  }

  var cCliente = "";
  var cCedula = "";
  var cTelefono =  "";
  var cDireccion = "";
  var cTermino = "";
  var cTipoNcf = "";
  
  var cliente = "<?php echo $cliente?>";

  get_lista_cliente(cliente)
  function get_lista_cliente(v){
    cCliente = v;
    $("#clientes option[value='"+v+"']").prop('selected', true);
    $("#modalClientes").modal('hide');

    $(".modal").modal("hide");
    $("#loading").modal("show");

    var sql = "select * from clientes where nombre='" + v + "'"
    _enviar("../php/traer_datos.php", {
        "sql": sql
      })

      .done(function(data) {
        var rs = JSON.parse(data);
        cCedula = rs.data[0].cedula
        cTelefono =  rs.data[0].telefono
        cDireccion =  rs.data[0].direccion
        cTermino =  rs.data[0].termino
        cTipoNcf =  rs.data[0].tipo_ncf
        $("#ncf option[value='"+cTipoNcf+"']").prop('selected', true);
		$("#ncf").change();
		$("#lb-cliente").html(rs.data[0].nombre+"<br>RNC: "+rs.data[0].cedula+"<br>Telefono: "+rs.data[0].telefono+"<br>Direccion: "+rs.data[0].direccion);
        $("#termino option[value='"+cTermino+"']").prop('selected', true);
       
	$("#txt-max_credito-cliente").val(rs.data[0].max_credito)
	   balance_cliente(cCliente)
      })
      $("#loading").modal("hide");
    }
    
    
    
     function balance_cliente(v){
         cCliente = v;
				var param = "cliente="+v
				$.get("verificar_maximo_credito.php?"+param, function(data,st){
					if(st=="success"){
						$("#txt-max_credito-cliente").val(data)
						get_balance(cCliente)
						
					}
				})
			
  }
  function get_balance(v){
         cCliente = v;
        
				var param = "cliente="+cCliente
				$.get("get_balance.php?"+param, function(data,st){
					if(st=="success"){
					
								$("#txt-balance-cliente").val(data)
						
					}
				})
			
  }
    

function getFoto(cdg){
	var myFoto="";
	    var sql = "select size from productos where codigo='" + cdg + "'"
    _enviar("../php/traer_datos.php", {
        "sql": sql
      })

      .done(function(data) {
        var rs = JSON.parse(data);
        myFoto = rs.data[0].size

		if(myFoto==""){
			myFoto = "../productos/thumbnail2.png";
 }

      })
	return myFoto;



}

  function modalProductos() {
    $("#modalProductos").modal("show");
    $("#lista-productos").html("<small class='text-primary'>Escriba el nombre del articulo y luego presione [ENTER]</small>");
    $("#txt-buscar2").focus().select();
    ///lista_productos($("#txt-buscar2").val());
    $("#txt-buscar").val("")
    ///$("#txt-buscar2").val("")
  }

  var precio = 0;
  var costo = 0;
  var descripcion = "";
  var codigo = "";
  var id_producto = 0;
  var folio = 0;
  var tipo_impuesto = 0;
  var valor_impuesto = 0;
  var total_impuesto = 0;

  function get_lista(id) {
    $(".modal").modal("hide");
    $////("#loading").modal("show");

    var sql = "select * from productos where id_producto='" + id + "'"
    _enviar("../php/traer_datos.php", {
        "sql": sql
      })
      .done(function(data) {
        var rs = JSON.parse(data);

        for (var i in rs.data) {
          id_producto = rs.data[i].id_producto;
          codigo = rs.data[i].codigo;
          descripcion = rs.data[i].descripcion;
          costo = rs.data[i].costo;
          precio = rs.data[i].precio;
		      precio2 = rs.data[i].precio2;
          tipo_impuesto = rs.data[i].tipo_impuestos;
          valor_impuesto = rs.data[i].valor_impuestos;


        }
        agregar(codigo, descripcion, costo, precio,precio2, tipo_impuesto, valor_impuesto);

      })
  }

  function agregar(codigo, descripcion, costo, precio, precio2, tipo_impuesto, valor_impuesto) {
   $("#btn_grabar").prop("disabled", true);
   if($("#txt-monto").val()==""){
	   $("#txt-monto").val("0");
   }
   
  var vEstado = "<?php echo $vEstado?>";
	
   var lmt = parseFloat($("#txt-monto").val())
   var ltt = parseFloat(lmt)+parseFloat(precio)
   var curFecha = $("#curFecha").val();
    if (codigo == "") {
      alert('Producto no encontrado');
      return
    }
    var sql = "";
    $("#btn_grabar").hide();

    sql = "INSERT INTO detalle_venta set";
    sql += " descripcion='" + descripcion + "'";
    sql += ", codigo='" + codigo + "'";
    sql += ", costo='" + costo + "'";
    sql += ", total_costo='" + costo + "'";

    sql += ", precio='" + precio + "'";
	sql += ", precio2='" + precio2 + "'";
    sql += ", total_precio='" + precio + "'";

    sql += ", tipo_impuesto='" + tipo_impuesto + "'";
    sql += ", valor_impuesto='" + f_impuestos(tipo_impuesto, precio) + "'";
    sql += ", total_impuesto='" +f_impuestos(tipo_impuesto, precio)+ "'";
    sql += ", cantidad=1";
    sql += ", fecha='"+curFecha+"'";
    sql += ", usuario='" + myUser + "'";
	sql += ", caja='"+myCaja+"'";
    sql += ", folio='" + $("#id_venta").val() + "'";
	sql += ", secuencia='" + secuencia + "'";
		if(vEstado=="Pedido"){
		    ////alert(vEstado);
	    sql += ", pedido=1";
	    sql += ", estado='Cerrada'";
	    
	}
    ///$(".modal").modal("hide");
    /////$("#loading").modal("show");
    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
        if (data == "1") {
          lista(myCaja+""+folio);
          $(".modal").modal('hide');
           $("#btn_grabar").show();

          $("#txt-buscar").val("");
          $("#txt-buscar2").val("");
          ////$("#txt-buscar").focus().select();

		  $("#loading").modal("hide");

		   $("#lista_productos_").hide();
		   $("#txt-buscar").focus();
		   $("#btn_grabar").prop("disabled", false);
		  if(from_cod=="1"){
			ver2()
			from_cod=="1";
		  }
		  checkStock($("#id_venta").val())
        } else {
          alert(data)
          $("#loading").modal("hide");
           $("#btn_grabar").show();
        }
      })

  }


  var total = 0.00;
  var total_costo = 0.00;
  var total_impuesto = 0.00;

  function suma() {
    var sql = "select total_costo,total_precio, tipo_impuesto, valor_impuesto, total_impuesto from detalle_venta where folio='" + $("#id_venta").val() + "'";
    _enviar("../php/traer_datos.php", {
        "sql": sql
      })
      .done(function(data) {
        if (data == "null") {
          $("#lb-total").html("0.00")
		  $("#lb-total002").html("0.00")
           $("#items").html("Items: 0")
		   $("#items2").val(0)
          $("#lb-impuestos").html("0.00");

          $("#txt-impuestos").val("");
          $("#txt-monto").val("");
          $("#txt-costo").val("");
          total = 0.00;
          total_costo = 0.00
          total_impuesto = 0.00
           setTotal(total, total_costo)
          c = 0;
          return;
        }

        var rs = JSON.parse(data);
        c = 0;
         ////impuestos()
        for (var i in rs.data) {
          total += parseFloat(rs.data[i].total_precio);
          total_costo += parseFloat(rs.data[i].total_costo);
          total_impuesto += parseFloat(rs.data[i].total_impuesto);
          c++;
        }

        var descuento =   localStorage.getItem('descontado');
        if(isNaN(descuento)){
            descuento = 0;
        }
        $("#lb-total").html(numeral(total - descuento).format('0,0.00'))
		$("#lb-total002").html(numeral(total - descuento).format('0,0.00'))
        $("#lb-impuestos").html(numeral(total_impuesto).format('0,0.00'))
        $("#txt-impuestos").val(total_impuesto);
        $("#txt-monto").val(total - descuento);
         $("#txt-monto3").val(total);
         setTotal(total, total_costo)
		 $("#txt-monto2").val(total - descuento);
        $("#txt-costo").val(total_costo);
        $("#items").html("Items: "+c)
		$("#items2").val(c)
		
		 if(total<=0){
            localStorage.setItem('descuento', 0);
             localStorage.setItem('descontado', 0);
        }
        
        total = 0.00;
        total_costo = 0.00
        total_impuesto = 0.00;
        
       

      })
	  $("#txt-buscar").focus()

  }


  var id_detalle;

  function ver(v) {
	 var estado="<?php echo $vEstado?>";
     if(estado=="Cerrada"){
		//// alert("Esta venta esta cerrada");
		window.location.reload()
	 }
    var sql = "select * from detalle_venta where id_detalle='" + v + "'"
    $(".modal").modal("hide");
    ///$("#loading").modal("show");
    _enviar("../php/traer_datos.php", {
        "sql": sql
      })
      .done(function(data) {
        var rs = JSON.parse(data);

        for (var i in rs.data) {
          id_detalle = rs.data[i].id_detalle
          //$("#modalDetalle").modal("show");
          $("#txt-cantidad").val(rs.data[i].cantidad)
          $("#txt-precio").val(rs.data[i].precio)
		   $("#descripcion_detalle").val(rs.data[i].descripcion)
		    $("#costo_detalle").val(rs.data[i].costo)
			 $("#precio_detalle").val(rs.data[i].precio)
          $("#txt-cantidad").focus().select();

		    get_precios(rs.data[i].codigo);
			 imei(rs.data[i].codigo);


			 setTimeout(function(){
				  var imei00 = rs.data[i].imei
		    $("#imeis option[value='"+imei00+"']").prop('selected', true);
			 },1000)

        }


      })
	  $("#txt-buscar").focus()
  }

    function ver2() {
	/*
    var ven = $("#id_venta").val()
    var sql = "select * from detalle_venta  where folio='"+ven+"' order by id_detalle desc limit 1"
    $(".modal").modal("hide");
    ///$("#loading").modal("show");
    _enviar("../php/traer_datos.php", {
        "sql": sql
      })
      .done(function(data) {
        var rs = JSON.parse(data);

        for (var i in rs.data) {
          id_detalle = rs.data[i].id_detalle
          $("#modalDetalle").modal("show");
          $("#txt-cantidad").val(rs.data[i].cantidad)
          $("#txt-precio").val(rs.data[i].precio)
          $("#nota_item").val(rs.data[i].nota)
          $("#txt-cantidad").focus().select();
		    get_precios(rs.data[i].codigo);
        }


      })
	  $("#txt-buscar").focus()
	  */
  }

  function update_detalle() {
	$("#btn_grabar").prop("disabled", true);
    var cantidad = $("#txt-cantidad").val();
    var precio = $("#txt-precio").val()
    if (cantidad == "" || parseFloat(cantidad) <= 0 || precio == "" || parseFloat(precio) <= 0) {
      alert('Datos invalido');
      return
    }
    var sql = "";
     $("#btn_grabar").hide();

    sql = "UPDATE detalle_venta set";
	sql += "  costo='" + $("#costo_detalle").val() + "'";
	///sql += ",  precio='" + $("#precio_detalle").val() + "'";
	sql += ",  descripcion='" + $("#descripcion_detalle").val() + "'";
	sql += ",  imei='" + $("#imeis").val() + "'";
    sql += " ,cantidad='" + cantidad + "'";
    sql += ", precio='" + precio + "'";
    sql += ", total_precio=precio *'" + cantidad + "'";
    sql += ", total_costo=costo * '" + cantidad + "'";

    sql += ", total_impuesto='" + f_impuestos(tipo_impuesto,precio)*cantidad+ "'";

    sql += " WHERE id_detalle='" + id_detalle + "'";
    $(".modal").modal("hide");
   // $("#loading").modal("show");
    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
        if (data == "1") {
             $("#btn_grabar").show();

          lista(myCaja+""+folio);
          $(".modal").modal('hide');
		  checkStock($("#id_venta").val())
			$("#btn_grabar").prop("disabled", false);
        } else {
          alert(data)
		  $("#btn_grabar").prop("disabled", false);

        }
      })
	  $("#txt-buscar").focus()


  }

function setTotal(t, cst){
   /// $("#loading").modal("show");
  var sql = "UPDATE ventas SET total='"+t+"', costo='"+cst+"' WHERE id_venta='" + $("#id_venta").val() + "'";
    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
        if (data == "1") {
         console.log("Venta actualizada, total: "+t)
		 setState()

        } else {
          alert(data)
        }
		$("#loading").modal("hide");
      })
}



function modalDescuento(){
          $("#modalDescuento").modal('show');
       
          
          
        $("#descuento").val(localStorage.getItem('descuento'));
        $("#descontado").val(localStorage.getItem('descontado'));
	    
	    
	
}



function descuento(){
    	var descuento = $("#descuento").val();
    	var monto = $("#txt-monto3").val();
	    var descontado = parseFloat(descuento) * parseFloat(monto) / 100
	
	if(isNaN(descontado)){
	    descontado = 0;
	}
	
	/////alert(monto+", "+descuento+", "+descontado)
	suma()


      
    localStorage.setItem('descuento', descuento);
    localStorage.setItem('descontado', descontado);

    sqlDescuento(descuento, descontado)
    
    
    



}


function sqlDescuento(descuento, descontado){
  var param = "";
  param = "id_venta="+$("#id_venta").val() 
  param += "&descuento="+descontado
$.get("sqlDescuento.php?"+param , function(data, st){
		  if(st=="success"){
			  if(data=="1"){
				////alert("Descuento aplicado"+" "+descontado);
			  }else{
				  alert(data);
			  }
		  }
	  } )

 }



function calcDescuento(){
    	var descuento = $("#descuento").val();
    	var monto = $("#txt-monto3").val();
	    var descontado = parseFloat(descuento) * parseFloat(monto) / 100
    	$("#descontado").val(descontado);
	
   //// localStorage.setItem('descuento', descuento);
  ////  localStorage.setItem('descontado', descontado);
}




 function borrar() {
	if(!confirm("BORRAR ESTE ARTICULO DE LA LISTA")){return;}
	
	 $("#btn_grabar").hide();
    var sql = "";
    sql = "delete from detalle_venta";
    sql += " WHERE id_detalle='" + id_detalle + "'";
    $(".modal").modal("hide");
    $("#loading").modal("show");
    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
        if (data == "1") {
             $("#btn_grabar").show();
          lista($("#id_venta").val());
            localStorage.setItem('descuento', 0);
             localStorage.setItem('descontado', 0);
          window.location.reload()
          $(".modal").modal('hide');

        } else {
          alert(data)
        }
      })
	   $("#txt-buscar").focus()
  }


function setState(){
   /// $("#loading").modal("show");
  var sql = "UPDATE ventas SET estado='Cerrada' WHERE pagado>0 and estado!='Anulada'";
    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
        if (data == "1") {
         console.log("Venta actualizada, Estado: Cerrada")

        } else {
          alert(data)
        }
		////$("#loading").modal("hide");
      })
}





  function nuevo() {
    if (!confirm("Limpiar los datos de esta venta?")) {
      return;
    }
    var sql = "";
    sql = "delete from detalle_venta";
    sql += " WHERE folio='" + $("#id_venta").val() + "'";

    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
        if (data == "1") {
          lista($("#id_venta").val());
          total_costo = 0;
          total_precio = 0;
          total_impuestos = 0;
          id_detalle = "";

          $("#lb-total").html("0.00");
		  $("#lb-total002").html("0.00");
          $("#lb-impuestos").html("0.00");
          $("#txt-monto").val("");
          $("#txt-costo").val("");
          $("#txt-impuestos").val("");
		  $("#txt-ticket").val("");
		   $("#mesas").val("")


        } else {
          alert(data)
        }
      })
	   $("#txt-buscar").focus()
  }

  function nuevo2() {

    var sql = "";
    sql = "delete from detalle_venta";
    sql += " WHERE folio='" +$("#id_venta").val() + "'";
    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
        if (data == "1") {
          lista($("#id_venta").val());
          total_costo = 0;
          total_precio = 0;
          total_impuestos = 0;
          id_detalle = "";

          $("#lb-total").html("0.00");
		   $("#lb-total002").html("0.00");
          $("#lb-impuestos").html("0.00");
          $("#txt-monto").val("");
          $("#txt-costo").val("");
          $("#txt-impuestos").val("");



        } else {
          alert(data)
        }
      })
	   $("#txt-buscar").focus()
  }



  function grabar() {
 checkStock($("#id_venta").val())
    var itotal = $("#txt-monto").val()
    if (itotal == "") {
      alert("El monto de la factura esta nulo");
      return
    }

    $("#modalGrabar").modal("show");
    $("#txt-pagado").focus().select();
	$("#txt-pagado").val("")
	////$("#txt-balance-cliente").val("")
	////$("#txt-max_credito-cliente").val("")
	$("#clientes").val("")
	$("#termino").val("")
	$("#txt-pagado").prop("disabled", false)
  $("#clientes option[value='"+cCliente+"']").prop('selected', true);
  $("#termino option[value='"+cTermino+"']").prop('selected', true);
	$("#cliente").click();
  $("#termino").change();

  $("#txt-balance").val($("#txt-monto2").val())

  }



  function checkStock(venta){
	  var facturar_sin_stock = "<?php echo $facturar_sin_stock?>";
  //////alert(facturar_sin_stock)
	  $.get("check_stock.php?id_venta="+venta , function(data, st){
		  if(st=="success"){
			  if(data!="null"){
				  var d = JSON.parse(data);
				  if(d.contador>0){
					var resp_check = localStorage.getItem("resp_check");
					if(facturar_sin_stock=="n"){
  						$(".modal").modal('hide');
  						$("#modalStockAgotado").modal('show');
  						$("#msgModal").html(d.contenido);
              return
            }


				  }
			  }
		  }
	  } )
	  $("#txt-buscar").focus().select();
  }

  function  sec_grabar_venta(){
				checkStock($("#id_venta").val())
				var cliente = "<?php echo $cliente?>";
				var monto = $("#txt-monto").val()

				var debe = $("#txt-balance-cliente").val()
				var limite = $("#txt-max_credito-cliente").val()
				if(monto==""){monto = 0;}
				if(debe==""){debe = 0;}
				if(limite==""){limite = 0;}

				var termino = $("#termino").val()
				///alert(termino+" "+monto+" "+debe+" "+limite)
				///return;
				if(termino=="Credito" && limite>0){
					var acumulado = parseFloat(monto) + parseFloat(debe)
					if(acumulado>= limite){
						alert("Limite de credito exedido para este cliente!!!");

					}else{
						sec_grabar_venta2()
					}

				}else{
					sec_grabar_venta2()
				}
  }











  /*GRABAR VENTA*/

  function grabar_venta() {

	var acuenta = "<?php echo $ventas?>";
    var monto = $("#txt-monto").val()
	var vence = $("#txt-vence").val()
    var pago_con = $("#txt-pagado").val()
    var devuelta = $("#txt-devuelta").val()
    var termino = $("#termino").val()
    var cliente = $("#clientes").val()
    var costo = $("#txt-costo").val()
    var impuestos = $("#txt-impuestos").val()
    var nota = $("#txt-nota").val()
    var i16 = $("#lb-16").html()
    var i13 =   $("#lb-13").html()
    var i10 =   $("#lb-10").html()
    var ie =  $("#lb-exento").html()

	var itbis_fijo=1.18;
	var sin_itbis = monto / itbis_fijo
	var total_itbis = $("#txt-impuestos").val()

var pedido = "<?php echo $_GET['pedido']?>";
if(pedido!="1"){
    if (cliente == "Generico" && termino == "Credito" || termino == "Conduce" && cliente == "Generico") {
      alert("Debe seleccionar un cliente");
      $(".modal").modal("hide");
      return;
    }

   if (parseFloat(monto) > parseFloat(pago_con) && termino!="Credito") {
      alert("Monto invalido");
      $("#txt-pagado").focus().select();
      $(".modal").modal("hide");
      return;
    }

    var pagado = 0.00;
    if (parseFloat(pago_con) > parseFloat(monto)) {
      pagado = monto;
    } else {
      pagado = pago_con;
    }
    if (pago_con == "" && termino == "Efectivo" || parseFloat(pago_con) <= 0 && termino == "Efectivo") {
      alert("Monto invalido");
      $("#txt-pagado").focus().select();
      $(".modal").modal("hide");
      return;
    }

	  if (pago_con == "" && termino == "Tarjeta" || parseFloat(pago_con) <= 0 && termino == "Tarjeta") {
      alert("Monto invalido");
      $("#txt-pagado").focus().select();
      $(".modal").modal("hide");
      return;
    }


	if (pago_con == "" && termino == "Cheque" || parseFloat(pago_con) <= 0 && termino == "Cheque") {
      alert("Monto invalido");
      $("#txt-pagado").focus().select();
      $(".modal").modal("hide");
      return;
    }
}
    comprobante_generado = ncf + "" + secuenciancf.padStart(8, '0');
    if (termino == "Conduce") {
      tipo_ncf = "";
      comprobante_generado = ""
    }

	if(grabando=="si"){return;}
	grabando="si";

  if (termino == "Tarjeta") {
    monto_cheque = 0;
    monto_tarjeta = $("#txt-pagado").val()
  }

  if (termino == "Cheque") {
    monto_tarjeta = 0;
    monto_cheque = $("#txt-pagado").val()
  }

  if (termino == "Efectivo") {
    efectivo = $("#txt-pagado").val()
    monto_tarjeta = 0;
    monto_cheque = ""
  }

  if (termino == "Cheque" && nch=="" || termino == "Cheque" && nch==null) {
    alert("DEBE PONER UNA REFERENCIA A ESTE CHEQUE!!");
   window.location.reload()
    return;
  }

  if (termino == "Tarjeta" && ntj=="" || termino == "Tarjeta" && ntj==null) {
    alert("DEBE PONER UNA REFERENCIA A ESTA TARJETA!!");
    window.location.reload()
    return;
  }

  if (cliente == undefined) {
      alert("Espere a que el sistema termine de cargar los datos del cliente");
      $(".modal").modal("hide");
      return;
    }
  
 if($("#txt-ticket").val()=="COTIZACION"){
	 $("#txt-ticket").val(cliente+"| Venta: "+$("#id_venta").val())
 }
  
  
var estado = ""
if(pedido=="1"){
	estado = "Pedido";
}else{
	estado = "Cerrada";
}

var curFecha = $("#curFecha").val();
var curHora = "<?php echo $hora?>";

    var sql = "";
    sql = "UPDATE ventas set ";
    sql += " fecha='"+curFecha+"'";
    sql += ", hora='"+curHora+"'";
	  sql += ", concepto='Venta'";
    sql += ", estado='"+estado+"'";
    sql += ", cliente='" + cliente + "'";
    sql += ", ticket='" + $("#txt-ticket").val() + "'";
    sql += ", precio='" + precio + "'";
    sql += ", costo='" + costo + "'";
    sql += ", total='" + monto + "'";
    sql += ", usuario='" + myUser + "'";
    sql += ", folio='" + $("#id_venta").val()+ "'";
    sql += ", termino='" + termino + "'";
    sql += ", efectivo='" + efectivo + "'";
    sql += ", monto_tarjeta='" + monto_tarjeta + "'";
    sql += ", referencia_tarjeta='" + ntj + "'";
    sql += ", numero_cheque='" + nch + "'";
    sql += ", cheque='" + monto_cheque + "'";
    sql += ", pago_con='" + pago_con + "'";
	sql += ", vendedor='" + $("#vendedor").val() + "'";
    sql += ", pagado='" + pagado + "'";
    sql += ", devuelta='" + devuelta + "'";
    sql += ", impuesto='" + total_itbis + "'";
	sql += ", vence='" + vence + "'";
	sql += ", balance='" + $("#txt-balance").val() + "'";
	 sql += ", descuento='" + localStorage.getItem('descontado')+ "'";
    ///sql += ", impuesto_16='" + i16 + "'";
    ///sql += ", impuesto_13='" + i13 + "'";
    //sql += ", impuesto_10='" + i10 + "'";
    //sql += ", impuesto_exento='" + ie + "'";
    sql += ", tipo_ncf='" + tipo_ncf + "'";
    sql += ", secuencia='" + secuencia + "'";
    sql += ", ncf='" + comprobante_generado + "'";



    sql += ", nota='" +$("#txt-ticket").val()+" - "+ nota + "' where id_venta='"+$("#id_venta").val()+"'";

	 if (termino == "Efectivo") {
	 updateCuenta(acuenta, monto)

    }



    $(".modal").modal("hide");
    $("#loading").modal("show");

    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
        //var rs = JSON.parse(data);
        if (data == "1") {
		////if(pagado>0){
			  var tipo="Venta";
		  ////var concepto = "Ingreso por venta numero: "+$("#id_venta").val()+" a cliente: "+cliente

			/////addIngreso(pagado,cliente,tipo,concepto,myUser, secuencia)
		 ////// }

		  cerrarVentaDetalle($("#txt-ticket").val())
          scan_detalle();

          ncf = $("#ncf").val()



          if (termino != "Conduce") {
            generar_ncf();

          }


        } else {
          alert(data);
          $("#btn-grabar").show()
        }

      })

 $("#txt-buscar").focus()
  }


 function addIngreso(pagado,cliente,tipo,concepto,myUser, secuencia){

	 var param=""
	 param="monto="+pagado
 param+="&cliente="+cliente+", "+$("#txt-ticket").val()
	 param+="&tipo="+tipo
	 param+="&concepto="+concepto
	 param+="&usuario="+myUser
	 param+="&secuencia="+secuencia


	  $.get("addIngreso.php?"+param , function(data, st){
		  if(st=="success"){
			  if(data=="1"){

			  }else{
				  alert(data);
			  }
		  }
	  } )

 }


 function updateCuenta(acuenta, total){
	  try{
            var sql="";
            sql="UPDATE cuentas set balance=balance + '"+total+"' where numero_cuenta='"+acuenta+"'";
            _enviar("../php/update.php",{"sql":sql})
            .done(function( data ){
                ////var rs = JSON.parse(data);
				if(data=="1"){
					/////
				}else{
					alert(data)
				}

            })


}catch(e){
  alert(e.message)
}
}

function cerrarVentaDetalle(tk00){
	var sql = "update detalle_venta set estado='Cerrada' where folio='"+tk00+"'"
  $(".modal").modal("hide");
    $("#loading").modal("show");
    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
		  if(data=="1"){
				generarFolioFactura("<?php echo $id_venta?>");
		  }

      })

}

 function generarFolioFactura(n){
 	var sql = "insert into folio_ventas set id_venta='"+n+"'"
  $(".modal").modal("hide");
    $("#loading").modal("show");
    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
		  if(data=="1"){
				////put2(t)
		  }else{
		  	alert(data);
		  }

      })

	/// $("#txt-buscar").focus()

}


function setFolioDetallePendiente(){
	var sql = "update detalle_pendiente set folio='"+myCaja+""+folio+"' where caja='"+myCaja+"'"
  $(".modal").modal("hide");
    $("#loading").modal("show");
    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
		  if(data=="1"){
				////put2(t)
		  }

      })

	 $("#txt-buscar").focus()

}
function selectId(){
  /*
	 var sql = "";
      sql = "select * from ventas where folio='" + folio + "' and usuario='"+myUser+"' order by id_venta desc limit 1";
      _enviar("../php/traer_datos.php", {
          "sql": sql
        })
        .done(function(data) {
          var rs = JSON.parse(data);
		  setId(rs.data[0].id_venta)
        })
}

 function setId(id){
	 sql = "update detalle_venta set id_venta='" + id + "' where folio='"+folio+"' and usuario='"+myUser+"'";
      _enviar("../php/traer_datos.php", {
          "sql": sql
        })
        .done(function(data) {
         //
		})
		 $("#txt-buscar").focus()
    */
 }


  function scan_detalle() {
    try {
      var sql = "";
      sql = "select * from detalle_venta where folio='" + $("#id_venta").val() + "'";
      $(".modal").modal("hide");
    $("#loading").modal("show");
      _enviar("../php/traer_datos.php", {
          "sql": sql
        })
        .done(function(data) {
          var rs = JSON.parse(data);

          for (i in rs.data) {

            kardex(rs.data[i].codigo, rs.data[i].descripcion, rs.data[i].cantidad, "Venta-" + $("#id_venta").val(), "Retirado", rs.data[i].almacen, rs.data[i].id_inventario, rs.data[i].imei)
          }

        })


    } catch (e) {
      alert(e.message)
    }
 $("#txt-buscar").focus()
  }




  ////KARDEX////
  contado = 0;
  c = 0;

  function kardex(codigo, descripcion, cantidad, concepto, tipo, almacen, id_inventario, imei) {
    try {
      var datos = "codigo="+codigo
      datos+= "&descripcion="+descripcion
      datos+= "&cantidad="+cantidad
      datos+= "&concepto="+concepto
      datos+= "&tipo="+tipo
	  datos+= "&imei="+imei
      datos+= "&almacen="+myAlmacen

      datos+= "&usuario="+myUser
      $(".modal").modal("hide");
      $("#loading").modal("show");
      $.get("kardex.php?" + datos, function(data, st) {
        if (st == "success") {

          contado++;
          //alert(contado+" - "+c)
          if (contado == c) {

            $("button").prop("disabled", true);
            $("#btn-grabar").hide()

            update_folio()

            contado = 0;
          }
        }
        $(".modal").modal("hide");
      });
    } catch (e) {
      alert(e.message)
    }
 $("#txt-buscar").focus()
  }







  function update_folio() {
    /*
    var sql = "";
    sql = "UPDATE parametros set";
    sql += " folio_ventas=folio_ventas+1";


    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
        //var rs = JSON.parse(data);
        if (data == "1") {
          ///alert("Venta " + folio + " grabada con exito")

          //$(".modal").modal('hide');
          */
    var id_venta00 = "<?php echo $id_venta?>";
    var sql = "select * from folio_ventas where id_venta='" + id_venta00+"'"

    _enviar("../php/traer_datos.php", {
        sql: sql
      })
      .done(function(data) {
        var rs = JSON.parse(data);
        var folio00 = rs.data[0].id_folio;
        xsFolio(folio00, id_venta00)


      });



   ///   })
	  /// $("#txt-buscar").focus()
    ///*/


  }




  function update_nota() {

    var id_venta00 = "<?php echo $id_venta?>";
    var sql = "update ventas set nota='"+$("#txt-nota").val()+"' where id_venta='" + id_venta00+"'"

    _enviar("../php/update.php", {
        sql: sql
      })
      .done(function(data) {


      });



  }
  function xsFolio(f, id_venta00){
   var sql = "update ventas set folio='"+f+"' where id_venta='" + id_venta00+"'"

    _enviar("../php/traer_datos.php", {
        sql: sql
      })
      .done(function(data) {

        //window.open('ticket_factura.php?folio=' + $("#id_venta").val(), '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');
var impresion = localStorage.getItem("impresion");

        if(impresion=="" || impresion==null){
          impresion = "POS";

        }
        if(impresion=="Carta"){
          window.location.href="ticket_factura_carta.php?folio="+ $("#id_venta").val()
        }else{
          window.location.href="ticket_factura.php?folio="+ $("#id_venta").val()
        }
                $("button").prop("disabled", false);


      });

  /*!GRABAR VENTA*/
}


  ///NCF//
  var ncf = "";
  var ncf_generado = "";

  var tipo_ncf = "";
  var secuenciancf=""

  function generar_ncf() {

    var sql = "update ncf set secuencia=secuencia+1 where prefijo='" + ncf + "'";
    $(".modal").modal("hide");
    $("#loading").modal("show");
    _enviar("../php/update.php", {
        sql: sql
      })
      .done(function(data) {
        if (data != "1") {
          alert(data);
          return;
        }


      })
 $("#txt-buscar").focus()
  }

  get_ncf()

  function get_ncf() {
    ncf = $("#ncf").val()
    var sql = "select * from ncf where prefijo='" + ncf + "'"
    $(".modal").modal("hide");
    //$("#loading").modal("show");
    _enviar("../php/traer_datos.php", {
        sql: sql
      })
      .done(function(data) {
        var rs = JSON.parse(data);
        secuenciancf = rs.data[0].secuencia;
        tipo_ncf = rs.data[0].tipo;
        ///alert(rs.data[0].prefijo)


      });
	   $("#txt-buscar").focus()
  }

$("#txt-buscar").focus()
$("#txt-buscar").val("")

var grabando=""
  function uniKeyCode(event) {
  var key = event.keyCode;
  //alert("Unicode KEY code: " + key);
  if(key=="13"){

		sec_grabar_venta();

	  }

}


$(".btn-grabar").on("keypress", function(){
  uniKeyCode(event);
})

window.addEventListener("keydown",tecla,false);

function tecla(e){
	////alert(e.keyCode)
    if(e.keyCode=="118"){
		var pr = prompt("NOMBRE DEL CLIENTE", $("#txt-ticket").val());
		if(pr==""){
			alert("Nombre no valido");
		}else{
			$("#txt-ticket").val(pr);
			posponer()

		}
	}


	if(e.keyCode=="45"){modalProductos()}
	if(e.keyCode=="121"){
		if(myLevel=="Vendedor"){
			alert("OPERACION INVALIDA PARA ESTE TIPO DE USUARIO")
		}else{
			grabar()
		}


		}
	if(e.keyCode=="13"){
		var cdg = $("#txt-buscar").val()
		var bc_ = $("#txt-buscar2").val()
		if(cdg!=""){
			get_lista2(cdg);
		}

		if(bc_!=""){
			lista_productos(bc_);
		}else{
			    $("#lista-productos").html("<small class='text-primary'>Escriba el nombre del articulo y luego presione [ENTER]</small>");

		}
	}

	if(e.keyCode=="107"){
    $("#txt-buscar").val("")
    $("#txt-buscar").select()

      ver2();
      $("#txt-buscar").val("")

  }
  ////if(e.keyCode=="107"){$("#modalDetalle").modal('show'); ver(id_detalle)}
}



$("#txt-cantidad").on("keypress", function(e){
if(e.keyCode=="13"){update_detalle()}
})



function f_impuestos(tipo,precio){
  var it = parseFloat(precio)/parseFloat("1."+tipo);
  var valor  = parseFloat(precio) - it
  if(isNaN(valor)){valor = 0;}
  if(tipo==""){valor=0}
  var v = valor.toFixed(3)
  return v;
}








  function devuelta() {
    var monto = $("#txt-monto").val()
    var pagado = $("#txt-pagado").val()
	if(pagado==""){pagado=0;}
    var balance = 0;

    if (parseFloat(pagado) > parseFloat(monto)) {
      var res = parseFloat(pagado) - parseFloat(monto);
      $("#txt-devuelta").val(res);
      $("#txt-balance").val("0");
    } else {
      $("#txt-devuelta").val("0");
      var res2 = parseFloat(monto) - parseFloat(pagado);
      $("#txt-balance").val(res2);



    }
  if(pagado<=0){
	  $("#txt-balance").val(monto);
  }

  }

  function _secuencia(){
    var sql = "select * from apertura_caja where caja='" + myCaja + "' and usuario='"+myUser+"' order by id desc limit 1";
    $(".modal").modal("hide");
    $("#loading").modal("show");
    _enviar("../php/traer_datos.php", {sql: sql})
      .done(function(data) {
		var rs = JSON.parse(data);
        if(data=="null"){
          secuencia = "00-00";
      }else{
           secuencia = rs.data[0].id+"-"+myCaja;
        }


      })
  }





  function sec_grabar_venta2(){
    $(".modal").modal("hide");
    $("#loading").modal("show");
    var sql = "select * from apertura_caja where caja='" + myCaja + "' and usuario='"+myUser+"' and estado='Abierto' order by id desc limit 1";
    _enviar("../php/traer_datos.php", {sql: sql})
      .done(function(data) {
        if(data=="null"){
          secuencia = "00-00";
      }else{
        var rs = JSON.parse(data);
           secuencia = rs.data[0].id+"-"+myCaja;
           estadoCaja = rs.data[0].estado;
        secuencia = rs.data[0].id+"-"+myCaja;
        }


        grabar_venta();

      })
  }


  function cuenta(){
	  var cliente = $("#txt-ticket").val()
    var ven = $("#id_venta").val()
		if(cliente==""){alert("Falta nombre ticket"); return}
	     window.open('ticket_cuenta.php?folio=' + ven+"&cliente="+cliente+"&usuario="+myUser, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');

  }
 </script>
  <?php $cotizacion = $_GET["cotizacion"];

  ?>
 <script>
 var cotizacion = "<?php echo $cotizacion?>";
   if(cotizacion=="1"){
		  $("#txt-ticket").val("COTIZACION");
		  $("#txt-ticket").prop("disabled", true);
		  $("#btn_grabar").hide();
	  }
    function cotizar(){
	  var cliente = $("#txt-ticket").val()
	  var cotizacion = "<?php echo $cotizacion?>";

    var ven = $("#id_venta").val()

		$("#txt-ticket").val("COTIZACION");
	   posponer();
		if(cliente==""){alert("Falta nombre ticket"); return}

	     window.open('ticket_cotizacion.php?folio=' + ven+"&cliente="+cliente+"&usuario="+myUser, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');
		 setTimeout(function(){
			 window.location.href="_nueva_venta.php";
		 },2000);

  }



function cancelar(){
    
     if(!confirm("Seguro de borrar esta venta")){; return;}
    var sql = "delete from ventas where id_venta='" + $("#id_venta").val()+"'";
    $(".modal").modal("hide");
    $("#loading").modal("show");
    _enviar("../php/update.php", {
        sql: sql
      })
      .done(function(data) {
        if (data != "1") {
          alert(data);
          return;
        }
      })


        sql = "delete from detalle_venta where folio='" + $("#id_venta").val()+"'";
        $(".modal").modal("hide");
    $("#loading").modal("show");
    _enviar("../php/update.php", {
        sql: sql
      })
      .done(function(data) {
        if (data != "1") {
          alert(data);
          return;
        }
        window.location.href="_nueva_venta.php";
      })

}








function impuestos() {
    var i18=0.00;
    var i16=0.00;
    var i13=0.00;
    var i10=0.00;
    var ie=0.00;
    var sql = "select tipo_impuesto, total_impuesto from  detalle_venta where folio='" + $("#id_venta").val() + "'";

    _enviar("../php/traer_datos.php", {
        "sql": sql
      })
      .done(function(data) {
        if (data == "null") {
          $("#lb-exento").html("0.00")
          $("#lb-16").html("0.00")
		  $("#lb-18").html("0.00")
		  $("#lb-13").html("0.00")
		  $("#lb-10").html("0.00")
          return;
        }

        var rs = JSON.parse(data);
        c = 0;
        for (var i in rs.data) {
        if(rs.data[i].tipo_impuesto=="18.00"){
            i18 += parseFloat(rs.data[i].total_impuesto);
        }

        if(rs.data[i].tipo_impuesto=="16.00"){

            i16 += parseFloat(rs.data[i].total_impuesto);
        }
            if(rs.data[i].tipo_impuesto=="0.00"){
            ie += parseFloat(rs.data[i].total_impuesto);
        }

          if(rs.data[i].tipo_impuesto=="13.00"){
            i13 += parseFloat(rs.data[i].total_impuesto);
        }

            if(rs.data[i].tipo_impuesto=="10.00"){
            i10 += parseFloat(rs.data[i].total_impuesto);
        }

        }
        var todos_impuestos = parseFloat(i18) + parseFloat(i16) + parseFloat(i13) + parseFloat(i10) + parseFloat(ie)
        $("#lb-18").html(i18)
        $("#lb-16").html(i16)
        $("#lb-13").html(i13)
        $("#lb-10").html(i10)
        $("#lb-exento").html(ie)


        ////$("#lb-total").html(numeral(total).format('0,0.00'))
       // $("#lb-impuestos").html(numeral(i18).format('0,0.00'))
        $("#txt-impuestos").val(todos_impuestos);

         i18=0.00;
         i16=0.00;
         i13=0.00;
         i10=0.00;
         ie=0.00;


      })
	  $("#txt-buscar").focus()

  }
 var from_cod ="";
function get_lista2(cod){
    var sql = "select * from productos where codigo='" + cod + "'"
    _enviar("../php/traer_datos.php", {
        "sql": sql
      })
      .done(function(data) {
        var rs = JSON.parse(data);
         from_cod = "1";
        for (var i in rs.data) {
          id_producto = rs.data[i].id_producto;
          codigo = rs.data[i].codigo;
          descripcion = rs.data[i].descripcion;
          costo = rs.data[i].costo;
          precio = rs.data[i].precio;
		  precio2 = rs.data[i].precio2;
          tipo_impuesto = rs.data[i].tipo_impuestos;
          valor_impuesto = rs.data[i].valor_impuestos;

        }
        agregar(codigo, descripcion, costo, precio,precio2, tipo_impuesto, valor_impuesto);

      })
}

///estado mesa///
estado_mesa()
function estado_mesa(){


    try {
      var sql = "select * from ventas where estado='Abierta'"
      _enviar("../php/traer_datos.php", {
          "sql": sql
        })
        .done(function(data) {
          if (data == "null") {
           /// $("#lista-productos").html("No hay datos para mostrar");
            return;
          }
          var rs = JSON.parse(data);

          var id_;
          for (var i in rs.data) {
            id_ = rs.data[i].id_venta
            if(rs.data[i].total>0){
                var ms = rs.data[i].ticket
                 $('.'+ms).removeClass("mesa_verde");
                 $('.'+ms).addClass("mesa_roja");

                 ///alert(ms);
            }else{
               /// $('.'+ms).removeClass("mesa_roja");
                ///$('.'+ms).addClass("mesa_verde");
            }

          }



        })
    } catch (e) {
      alert(e.message)
    }
  }


 lista_pendiente("")
function lista_pendiente(filtro){
	var param="";
	param="filtro="+filtro;
	//param+="&filtro2"+filtro2;
	$.get("lista_ventas_abierta.php?"+param,function(data,st){
	 if(st=="success"){
	   $("#lista-pendiente").html(data);
	   $("#lbEspera").html($("#lbClistaEspera").html())
	}
	})
}




if(myLevel=="Cajero"){
	$(".cajero").hide()
}
if(myLevel=="Vendedor"){
	$(".vendedor").hide()
}

$(function(){
	$(".form-control, .btn").addClass("mb-2 mt-2");
	if(isMobile()){
		///$("#lbPosponer, #lbLista").hide();
	}

})



	function setCant(id, val){
	var estado = "<?php echo $vEstado?>";
	if(estado=='Cerrada'){
		////alert("Esta venta ya esta cerrada")
		return;
	}
	 $("#btn_grabar").hide();

	var sql = "update detalle_venta set cantidad='"+val+"', total_costo=costo * '"+val+"', total_precio=precio * '"+val+"' where id_detalle='"+id+"'"

    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
		  if(data=="1"){
		       $("#btn_grabar").show();
				lista($("#id_venta").val())
		  }

      })

	// $("#txt-buscar").focus()

}

$(".hi").hide();
if(myLevel=="Master"){
	$(".hi").show();
}


function update_resp_check(){
	localStorage.setItem("resp_check","1");
}


	var estado = "<?php echo $vEstado?>";
	if(estado=='Cerrada'){
		alert("Esta venta esta cerrada")
		$("input[type='text']").prop("disabled", true)
	}



$(function(){
	var ncfFacturaActual = "<?php echo $ncf?>";

	dNCF = localStorage.getItem("ncf");

	if(ncfFacturaActual==""){
		$("#ncf option[value='"+dNCF+"']").prop('selected', true);
	}else{
		nnf = ncfFacturaActual.substring(0, 3);
		/////alert(nnf)
		$("#ncf option[value='"+nnf+"']").prop('selected', true);
	}

	$("#ncf").change();
	 $("#ncf").click()
})







comboClientes()
function comboClientes(){

	$.get("comboClientes.php?",function(data,st){
	 if(st=="success"){
	   $("#dvclientes").html(data);

	}
	})
}
setTimeout(function(){
	////modalProductos();
},5000)
</script>
